﻿import type { AppRouteModule } from '@/router/types';

import { LAYOUT } from '@/router/constant';

const system: AppRouteModule = {
  path: '/customer',
  name: 'Customer',
  component: LAYOUT,
  redirect: '/customer/index',
  meta: {
    orderNo: 30,
    icon: 'fa6-solid:user-group',
    title: '客户',
  },
  children: [
    {
      path: 'index',
      name: 'CustomerList',
      meta: {
        title: '客户列表',
        ignoreKeepAlive: false,
      },
      component: () => import('@/views/customer/index.vue'),
    },
    {
      path: 'vxeTableAccount',
      name: 'VxeTableAccountManagement',
      meta: {
        title: '公海客户',
        ignoreKeepAlive: false,
      },
      component: () => import('@/views/demo/system/vxe-account/index.vue'),
    },
    // {
    //   path: 'account_detail/:id',
    //   name: 'AccountDetail',
    //   meta: {
    //     hideMenu: true,
    //     title: '客户详情',
    //     ignoreKeepAlive: true,
    //     showMenu: false,
    //     currentActiveMenu: '/system/account',
    //   },
    //   component: () => import('@/views/demo/system/account/AccountDetail.vue'),
    // },
    // {
    //   path: 'role',
    //   name: 'RoleManagement',
    //   meta: {
    //     title: '建档建议',
    //     ignoreKeepAlive: true,
    //   },
    //   component: () => import('@/views/demo/system/role/index.vue'),
    // },
    //
    {
      path: 'dept',
      name: 'DeptManagement',
      meta: {
        title: '客户查重',
        ignoreKeepAlive: true,
      },
      component: () => import('@/views/demo/system/dept/index.vue'),
    },
    {
      path: 'settings',
      name: 'CustomerSettings',
      meta: {
        title: '客户设置',
        ignoreKeepAlive: true,
      },
      component: () => import('@/views/customer/settings.vue'),
    },
    // {
    //   path: 'changePassword',
    //   name: 'ChangePassword',
    //   meta: {
    //     title: t('routes.demo.system.password'),
    //     ignoreKeepAlive: true,
    //   },
    //   component: () => import('@/views/demo/system/password/index.vue'),
    // },
  ],
};

export default system;
